Summary: Zsh is a shell designed for interactive use.
Name: zsh
Version: 4.3.2
Release: 2tr
Group: Trustix Official
License: GPL
Source0: http://zsh.open-mirror.com//zsh-%{version}.tar.bz2 
Source1: zshrc
Source2: zlogin
Source3: zlogout
Source4: zprofile
Source5: zshrc.skel
BuildRoot: /var/tmp/%{name}-root
Prereq: fileutils grep
Requires: termcap
BuildRequires: libtermcap-devel texinfo

%description
zsh is a shell designed for interactive use, although it is also 
a powerful scripting language. Many of the useful features of bash, 
ksh, and tcsh were incorporated into zsh; many original features were added.

%prep
%setup -q  

%build

export LDFLAGS=""
%configure --prefix=%{_prefix} \
	--enable-etcdir=%{_sysconfdir} \
	--enable-cppflags="$RPM_OPT_FLAGS" \
	--with-tcsetpgrp \
	--bindir=%{_bindir} \
	--enable-ldflags="${LDFLAGS}" 

make all
 
%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall install.info fndir=$RPM_BUILD_ROOT%{_datadir}/zsh/%{version}/functions \
	sitefndir=$RPM_BUILD_ROOT%{_datadir}/zsh/site-functions

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/skel
install -m 644 %SOURCE1 %SOURCE2 %SOURCE3 %SOURCE4 \
	$RPM_BUILD_ROOT%{_sysconfdir}/

install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/skel/.zshrc

# Duplicate existing
rm -f $RPM_BUILD_ROOT%{_bindir}/zsh-%{version}
rm -f $RPM_BUILD_ROOT%{_datadir}/info/zsh*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
    echo "/bin/zsh" > /etc/shells
else
    if ! grep -q '^/bin/zsh$' /etc/shells; then
        echo "/bin/zsh" >> /etc/shells
    fi
fi

%postun
if [ "$1" = 0 ]; then
    grep -v '^/bin/zsh' < /etc/shells > /etc/shells.new
    mv /etc/shells.new /etc/shells
fi

%files
%defattr(-,root,root,0755)
%doc README LICENCE Etc/BUGS Etc/CONTRIBUTORS Etc/FAQ
%doc Etc/zsh-development-guide Etc/completion-style-guide 
%{_bindir}/zsh*
%{_libdir}/zsh/
%{_datadir}/zsh/
%{_mandir}/man1/zsh*
%config(noreplace) %{_sysconfdir}/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Thu Jun 22 2006 Nived Gopalan <nived at trustix dot org> 4.3.2-1tr
- New Upstream

* Mon Sep 26 2005 Ajith Thampi <ajith at comodo dot com> 4.2.5-2tr
- added new config options
- new edits to zshrc to include bindkeys 
- fixed funtion formats
		
* Tue Sep 13 2005 Nived Gopalan <nived at comodo dot com> 4.2.5-1tr 
- Initial build for TSL-3.0.
